Title: Bookmarks
Date: 2021-05-05 15:21:00


# Internet & HTTP

- [Proxy networks and data collection tools](https://brightdata.com/)
- [Cours HTTP au CNAM de Stephane Bortzmeyer](https://www.bortzmeyer.org/cours-http-cnam.html)
- [RFC 7231: Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content](https://tools.ietf.org/html/rfc7231)
- [Usenet Francophone — Liste de serveurs (et autres services) offrant un accès gratuit à la hiérarchie fr.*](http://usenet-fr.yakakwatik.org/)


## Microservice

- [Twelve Patterns for Hypermedia Microservices](https://www.infoq.com/presentations/12-patterns-api-microservices/)
- [Microservices in a Post-Kubernetes Era](https://www.infoq.com/articles/microservices-post-kubernetes)
- [How to choose a database for your microservices](https://www.infoworld.com/article/3236291/database/how-to-choose-a-database-for-your-microservices.amp.html)


## APIs

- [Public APIs: A Collection of Public and Free APIs for Development](https://public-apis.xyz/)
- [Mike Amoundsen blog](http://amundsen.com/blog/)
- [Agnostic Github client API — An EDSL for connecting to REST servers](https://github.com/mozilla/agithub)
- [APIs You Won't Hate — A community that cares about API design and development](https://apisyouwonthate.com/)
- [A Web API ecosystem through feature-based reuse](https://ruben.verborgh.org/articles/web-api-ecosystem/)
- [The Structure of Information Networks — Computer Science 685 — Cornell University — Fall 2007](https://www.cs.cornell.edu/courses/cs685/2007fa/)
- [Mechanisms for obtaining information about the meaning of a given URI](https://www.w3.org/2001/tag/group/track/issues/57)
- [Python API Checklist](http://python.apichecklist.com/)
- [Open Data Protocol (OData)](https://fr.wikipedia.org/wiki/Open_Data_Protocol)
- [API Evangelist is about making sense of the world of application programming interfaces](https://apievangelist.com/)


### REST

- [Roy T. Fielding's blog](https://roy.gbiv.com/untangled/)
- [It is okay to use POST — Roy T. Fielding](https://roy.gbiv.com/untangled/2009/it-is-okay-to-use-post)
- [Misunderstanding REST](https://hanselminutes.com/236/misunderstanding-rest-with-mike-amundsen)
- [Using Web Sequence Diagrams with your APIs](http://amundsen.com/talks/2018-09-restfest/index.html)
- [Twelve Patterns for Evolvable APIs Revisited](http://amundsen.com/talks/2017-12-yow/index.html)
- [Some thoughts on resources, information resources and representations](https://www.w3.org/2001/tag/2008/02/RepresentationResources.html)
- [REST without the hypertext constraint is like pipe-and-filter without the pipes](http://roy.gbiv.com/untangled/2008/on-software-architecture#more-10)
- [resources are just consistent mappings from an identifier to some set of views on server-side state.](http://roy.gbiv.com/untangled/2008/paper-tigers-and-hidden-dragons)
- [A REST API must not define fixed resource names or hierarchies](http://roy.gbiv.com/untangled/2008/rest-apis-must-be-hypertext-driven)
- [principled design of the modern web architecture — Roy T. Fielding](http://dl.acm.org/citation.cfm?doid=3106237.3121282)


### GraphQL

- [GraphQL IDE for better development workflows (GraphQL Subscriptions, interactive docs & collaboration)](https://github.com/graphql/graphql-playground)
- [GraphQL Doctor: Prevent Breaking Changes in a GraphQL API with GitHub Checks](https://github.com/cap-collectif/graphql-doctor)
- [GitHub GraphQL API](https://docs.github.com/en/graphql)
- [Graphene: GraphQL in Python Made Easy](https://graphene-python.org/)
- [Representing State in REST and GraphQL](https://philsturgeon.uk/api/2017/06/19/representing-state-in-rest-and-graphql/)



# Traduction

- [Entretiens autour de la traduction collaborative](https://bzg.fr/entretiens-autour-de-la-traduction-collaborative.html/)
- [Orthotypographie, de Jean-Pierre Lacroux (Lexique des règles typographiques françaises)](http://www.orthotypographie.fr/volume-I/academie-accentuation.html)
- [L'association Traduc.org](https://traduc.org)
- [Recommandations pour la traduction de documents techniques Red Hat de en_US -> fr_FR](https://fedoraproject.org/w/uploads/c/c1/Guide_stylistique_de_traduction_EN-FR_24NOV14.pdf)
- [Petites leçons de typographie — Jacques André](http://jacques-andre.fr/faqtypo/lessons.pdf)
- [Deepl](https://www.deepl.com)
- [Gramalecte](https://fr.m.wikipedia.org/wiki/Grammalecte)


# Cybersecurity

- [rockyou.txt (pour hashcat typiquement)](https://gitlab.com/kalilinux/packages/wordlists/blob/kali/master/rockyou.txt.gz)
- [Top 10 web hacking techniques of 2021](https://portswigger.net/research/top-10-web-hacking-techniques-of-2021)
- - [PDF Tools](https://blog.didierstevens.com/programs/pdf-tools/)
- [Yes We Hack — bug bounty](https://www.yeswehack.com)
- [IRC Puzzles](https://blog.ircpuzzles.org/)
- [learn about common mistakes and gotchas when using Amazon Web Services](http://flaws.cloud/)
- [ANSSI](https://www.ssi.gouv.fr/)
- [Auditing Algorithms](https://auditingalgorithms.science/)
- [BeEF - The Browser Exploitation Framework Project](https://beefproject.com/)
- [Five Minute Guide to Software Security](https://oneupsecurity.com/research/five-minute-guide-to-software-security)
- [GTFOBins is a curated list of Unix binaries that can be used to bypass local security restrictions in misconfigured systems.](https://gtfobins.github.io/)
- [Hacking Tools Cheat Sheet](https://i.redd.it/fviaw8s43q851.jpg)
- [List of the most common french passwords](https://github.com/tarraschk/richelieu)
- [Livre Blanc sur la Défense et la Sécurité Nationale](http://www.defense.gouv.fr/content/download/206186/2286591/Livre-blanc-sur-la-Defense-et-la-Securite-nationale%202013.pdf)
- [Référentiel général de sécurité](https://www.ssi.gouv.fr/entreprise/reglementation/confiance-numerique/le-referentiel-general-de-securite-rgs/)
- [SSRF Cheat Sheet & Bypass Techniques](https://highon.coffee/blog/ssrf-cheat-sheet/)
- [The history of Lets'Encrypt](https://blog.acolyer.org/2020/02/12/lets-encrypt-an-automated-certificate-authority-to-encrypt-the-entire-web/)
- [Zero trust security model](https://en.wikipedia.org/wiki/Zero_Trust_Networks)
- [haveibeenpwned.com pwned our helpdesk!](https://fyr.io/2020/05/30/haveibeenpwned-com-pwned-our-helpdesk-glpi-9-4-5-sql-injection/)
- [nmap cheat sheet](https://docs.google.com/document/d/1ekOUND30jr4RmD-QzL5XQUPPoZkbQwJgvuZ7BwlicIE/mobilebasic)
- [Security books](https://opsecx.com/index.php/security-books/)
- [This page lists books that I have found to be highly relevant and useful for learning topics within computer security, digital forensics, incident response, malware analysis, and reverse engineering](http://dfir.org/?q=node/8)
- [Collection of articles](http://rafale.org/)
- [Collection of links](http://www.wawaseb.com/lutile/wsl212.php)
- [Linux Security Tools](https://linuxsecurity.expert/tools/)
- [Network Cheat Sheets (BGP, EIGRP, IPsec, ...)](https://packetlife.net/library/cheat-sheets/)
- [Password lists](https://github.com/lavalamp-/password-lists.git)
- [PortSwigger blog](https://portswigger.net/research)
- [Reddit hacking Wiki (podcasts, osint, scanning, cracking, sqli, awesome, red team, phishing)](https://old.reddit.com/r/hacking/wiki/index)
- [SecLists — List of usernames, passwords, URLs, sensitive data patterns, fuzzing payloads, web shells, and many more.](https://github.com/danielmiessler/SecLists.git)
- [hackingthe.cloud — Knowledge about cloud, enumeration, exploitation, avoid detection, AWS, azure, GCP...](https://hackingthe.cloud/aws/)
- [MOOC de l'ANSSI](https://secnumacademie.gouv.fr/)
- [Root KSK ceremony](https://www.youtube.com/watch?v=erfsFJsapAs)
- [ChopChop is a CLI to help developers scanning endpoints and identifying exposition of sensitive services/files/folders.](https://github.com/michelin/ChopChop)
- [Inject javascript into a PDF file](https://github.com/cornerpirate/JS2PDFInjector)
- [JSFuck is an esoteric and educational programming style based on the atomic parts of JavaScript.](http://www.jsfuck.com/)
- [PDF Tools](https://blog.didierstevens.com/programs/pdf-tools/)
- [Search numbers in a database of 290,695,246 primes and 2,050,312,768 known compisite numbers with known factors](http://factordb.com/)
- [Temporary email address redirection](jetable.org)
- [fsociety — A Modular Penetration Testing Framework](https://github.com/fsociety-team/fsociety)


## Cybersecurity/Cryptography

- [Detect and decode encoded strings, recursively.](https://github.com/UltimateHackers/Decodify)
- [Quipqiup: A fast and automated cryptogram solver](https://quipqiup.com/)
- [lantern —  Cryptanalysis library for breaking classical ciphers](https://github.com/CameronLonsdale/lantern)
- [hashID — Hash Identifier](http://psypanda.github.io/hashID/)
- [Ciphey — Automatically decrypt encryptions without knowing the key or cipher, decode encodings, and crack hashes](https://github.com/Ciphey/Ciphey)
- [codext — Python codecs extension featuring CLI tools for encoding/decoding anything](https://github.com/dhondta/python-codext)
- [CyberChef — The Cyber Swiss Army Knife](https://gchq.github.io/CyberChef) ([source](https://github.com/gchq/CyberChef))


## Cybersecurity/Writeups

- [CTF solutions from p4 team](https://github.com/p4-team/ctf)
- [TeamRocketIST CTF Team](https://teamrocketist.github.io/)
- [sigterm.ch](https://sigterm.ch/2018/01/01/hackvent-2017-write-up/)


## Cybersecurity/Podcasts

- [Hacking Humans](https://thecyberwire.com/podcasts/hacking-humans)
- [Tiger Team 24K Heist](https://www.youtube.com/watch?v=pJIlcd6-E70)
- [Darknet Diaries](https://darknetdiaries.com/)
- [Malicious Life](https://malicious.life/)
- [NoLimitSecu](https://www.nolimitsecu.fr/)


## Cybersecurity/OSINT

- [The OSINT Framework](https://osintframework.com/)
- [OSINT Tool Comparison Table](https://docs.google.com/spreadsheets/d/18U1qcaPaqIF8ERVLI-g5Or3gUbv0qP_-JUtc0pbEs0E/edit#gid=0)
- [Have I been Pwned (« Have them been pwned :D »)](https://haveibeenpwned.com/)
- [theHarvester — E-mails, subdomains and names Harvester](https://github.com/laramies/theHarvester)
- [SpiderFoot — automates OSINT for threat intelligence and mapping your attack surface.](https://github.com/smicallef/spiderfoot)
- [XRay is a tool for recon, mapping and OSINT gathering from public networks.](https://github.com/evilsocket/xray)
- [GooHak — Automatically Launch Google Hacking Queries Against A Target Domain](https://github.com/1N3/Goohak/blob/master/goohak)
- [TIDos-Framework — The Offensive Manual Web Application Penetration Testing Framework. ](https://github.com/0xInfection/TIDoS-Framework)
- [GHunt — Investigate Google emails and documents.](https://github.com/mxrch/GHunt)
- [Online tool with IPv4 hosts, domains/whois/site info, ports/banners/protocols, technologies, maintain biggest SSL/TLS db, AS, OS,...](https://spyse.com/)
- [Searchable online database of domains, emails, passwords, ...](https://intelx.io)
- [OSINT4ALL](https://start.me/p/L1rEYQ/osint4all)
- [FinalRecon — An automatic web reconnaissance tool written in Python](https://github.com/thewhiteh4t/FinalRecon/)
- [recon-ng —  Open Source Intelligence gathering tool aimed at reducing the time spent harvesting information from open sources.](https://github.com/lanmaster53/recon-ng)
- [shodan](www.shodan.io), [censys](censys.io), [netcraft](sitereport.netcraft.com)
- [RevealIn: Uncover the full name of a target on Linkedin.](https://github.com/mxrch/revealin)
- [Bibliogram is a website that takes data from Instagram's public profile views and puts it into a friendlier page](https://bibliogram.snopyta.org/)
- [MetaGooFil — Metadata Harvester (old, python2)](https://github.com/laramies/metagoofil)
- [SpiderFoot — SpiderFoot automates OSINT for threat intelligence and mapping your attack surface.](https://github.com/smicallef/spiderfoot)
- [Machinae — Security Intelligence Collector](https://github.com/HurricaneLabs/machinae)
- [Sociétés Françaises](https://annuaire-entreprises.data.gouv.fr)

### Cybersecurity/OSINT/User enumeration

- [Whatsmyname — This tool allows you to enumerate usernames across many websites](https://whatsmyname.app/)
- [Sherlock — Can be used to find usernames across many social networks](https://sherlock-project.github.io/)


### Cybersecurity/OSINT/DNS Enumeration


- [SubScraper — Perform subdomain enumeration through various techniques](https://github.com/m8r0wn/subscraper)
- [Amass — Subdomain discovery through alterations and permutations](https://github.com/OWASP/Amass)
- [altdns — Generates permutations, alterations and mutations of subdomains and then resolves them](https://github.com/infosec-au/altdns)
- [dnsdumpster.com — dns recon & research, find & lookup dns records](https://dnsdumpster.com)
- [dnsrecon —  DNS Enumeration Script ](https://github.com/darkoperator/dnsrecon)
- [finalrecon](https://github.com/thewhiteh4t/FinalRecon/)
- [domainrecon](https://github.com/realsanjay/DomainRecon)
- [OWASP Amass — In-depth Attack Surface Mapping and Asset Discovery](https://owasp-amass.com/)
- [dnsgen — Generates combination of domain names from the provided input](https://github.com/ProjectAnte/dnsgen)
- [regulator —  Automated learning of regexes for DNS discovery](https://github.com/cramppet/regulator)


### Cybersecurity/OSINT/Certificate transparency search engines

- [crt.sh](https://crt.sh/)
- [censys.io](https://censys.io/)
- [Facebook CT](https://developers.facebook.com/tools/ct/)
- [Google CT](https://google.com/transparencyreport/https/ct/)

Or from command line with a postgresql client:

    psql -h crt.sh -p 5432 -U guest certwatch


## Cybersecurity/SDR

- [Spectrum analyzer for multiple SDR platforms, capable de balayer et d'aggréger des fréquence](https://github.com/xmikos/qspectrumanalyzer/)


## Cybersecurity/Pentesting

- [Exploit DB](https://www.exploit-db.com/search/)
- [CVE Details](https://cvedetails.com)
- [OpenCVE](https://www.opencve.io/)
- [Pentesting tools](https://prune2000.github.io/tools/pentest/)
- [Citadel —  Collection of pentesting scripts](https://github.com/wintrmvte/Citadel)
- [Web Application Penetration Testing Notes](https://techvomit.net/web-application-penetration-testing-notes/)
- [PentesterLab exercises](https://www.pentesterlab.com/)
- [nmap NSE script based on Vulners.com API](https://github.com/vulnersCom/nmap-vulners)
- [nmap NSE vulnerability scripts from NCSC](https://github.com/nccgroup/nmap-nse-vulnerability-scripts/)
- [sqlmap](https://pypi.python.org/pypi/sqlmap)
- [nosqlmap](https://github.com/codingo/nosqlmap)
- [nmap modules](https://twitter.com/bonsaiviking/status/950772687655309313?s=09)
- [OWASP Testing Guide](http://repository.root-me.org/Exploitation%20-%20Web/EN%20-%20OWASP%20testing%20guide%20v2.pdf)
- [Vulners — Vulnerability Assessment Platform](https://vulners.com/landing)
- [Awesome-Hacking — A collection of awesome lists for hackers, pentesters & security researchers](https://github.com/misterch0c/Awesome-Hacking)
- [root-me.org](https://www.root-me.org)
- [ringzer0team challenges](https://ringzer0team.com/challenges)
- [pentesterlab](https://pentesterlab.com/exercises)
- [zenk-security](https://www.zenk-security.com/)
- [France Cybersecurity Challenge](https://www.france-cybersecurity-challenge.fr/challenges)
- [Pentesting cheat sheet](https://highon.coffee/blog/penetration-testing-tools-cheat-sheet/#osint)


## Cybersecurity/Reverse

- [GEF is a set of commands to assist exploit developers and reverse-engineers when using old school GDB](https://github.com/hugsy/gef/blob/dev/README.md)


# Misc

- [Degoogling my phone](https://piware.de/post/2018-05-01-android-degoogle/)
- [diagram flowchart slides tree graphviz neato dot](https://mermaidjs.github.io/)
- [Carte du Métro Parisien](http://carto.metro.free.fr/cartes/metro-paris/)
- [GDPR](https://techblog.bozho.net/gdpr-practical-guide-developers/)
- [PyData 2015](http://2015.pydata.fr/slides-videos.html)
- [PyData Paris 2016](https://www.youtube.com/playlist?list=PLzjFI0G5nSsorlRk51ARRRCY5K2HiATuS)
- [Automatically Inferring Malware Signatures for Anti-Virus Assisted Attacks](https://www.sec.cs.tu-bs.de/pubs/2017-asiaccs.pdf)
- [The Web began dying in 2014, here's how](https://staltz.com/the-web-began-dying-in-2014-heres-how.html)
- [pi-top — Raspberry Pi made simple, robust and modular](https://pi-top.com/)
- [Accessibility — Jupyter accessibility working group](https://github.com/jupyter/accessibility)
- [Convert slides to videos using ffmpeg](https://framagit.org/numahell/bbb-retrieve-presentation/-/merge_requests/4/diffs)
- [n8n: an Open-Source IFTTT (Workflow Automation Tool)](https://github.com/n8n-io/n8n)
- [Tri de l'information et enseignement de l'esprit critique : une carte pour s'y retrouver](https://cortecs.org/secondaire/tri-de-linformation-et-enseignement-de-lesprit-critique-une-carte-pour-sy-retrouver/)
- [Tout ce que vous avez toujours voulu savoir sur LaTeX sans jamais oser le demander](https://mdk.fr/Latex-Global.pdf)
- [LaTeX cheat sheet](https://repository.root-me.org/Programmation/Latex/EN%20-%20Latex%20Cheat%20Sheet.pdf)

# Math

- [No Bullshit Linear Algebra](https://minireference.com/blog/no-bullshit-linear-algebra-v2-release)
- [Coffin problems](https://galileofeynman.blogspot.com/2012/11/the-jewish-coffin-problems-of-moscow.html?m=1)


# Unix

- [30 interesting commands for the Linux shell](https://www.lopezferrando.com/30-interesting-shell-commands/)
- [Things Every Hacker Once Knew](http://www.catb.org/esr/faqs/things-every-hacker-once-knew/)
- [Linux Perf writer blog](http://www.brendangregg.com/perf.html)
- [Mysteries Wizardzines](https://mysteries.wizardzines.com/)


# Programming

- [The modern documentation website Emacs deserves](https://www.emacsdocs.org/)
- [What are reddit's favorite books to learn about programming?](https://redditfavorites.com/books/programming/)
- [Find interesting unanswered question on stackoverflow](https://data.stackexchange.com/stackoverflow/query/4038/find-interesting-unanswered-questions)
- [AdminLTE — Bootstrap admin dashboard template](https://adminlte.io/) used by PiHole and [hermes](https://github.com/Ousret/hermes)
- [Floating point arithmetic rounding errors in various languages](https://0.30000000000000004.com/)
- [Learning git: Locations, Remotes, and GitHub](https://www.willingconsulting.com/post/2019-07-01-locations-and-git/)
- [Learn X in Y minutes](https://learnxinyminutes.com/)
- [Video Lectures — MIT](https://ocw.mit.edu/courses/electrical-engineering-and-computer-science/6-001-structure-and-interpretation-of-computer-programs-spring-2005/video-lectures/)
- [600 free courses](https://qz.com/1120344/200-universities-just-launched-600-free-online-courses-heres-the-full-list/)
- [Awesome Falsehookds — A curated list of falsehoods programmers believe in.](https://github.com/kdeldycke/awesome-falsehood)
- [Talk about Bloom filters and HyperLogLog (probabilistic data structures)](https://simonprickett.dev/no_maybe_and_close_enough_slides.pdf)
  - [related repo](https://github.com/simonprickett/python-probabilistic-data-structures)
- [Pattern matching](https://tpython.tobiaskohn.ch/PyPatternMatching.pdf)
- [static duck typing](https://wired-injector.readthedocs.io/en/latest/examples/protocols.html)


## Dataviz

- [Livemark — Data presentation framework for Python that generates static sites from extended Markdown with interactive charts, tables, scripts, and other features.](https://livemark.frictionlessdata.io/)

## Programming/Podcasts

- [Teaching Python with Kelly & Sean](https://www.teachingpython.fm/)
- [The Bug Hunters Café — A podcast all about (mis)adventures in creating, finding, and fixing bugs in code](https://dev.to/bughunterscafe)
- [PyBites Podcast — Julian Sequeira & Bob Belderbos](https://www.pybitespodcast.com/)
- [RedHat COMMAND_LINE HEROES](https://www.redhat.com/en/command-line-heroes)
- [Between Chair and Keyboard](https://tanzu.vmware.com/developer/tv/bcak/)


## Programming/Github Actions

- [Action to assign someone to an issue when one comments 'take'](https://github.com/pandas-dev/pandas/blob/master/.github/workflows/assign.yml)
- [github cli — Take GitHub to the command line](https://cli.github.com/) (can interact with github actions)
    - [Github actions from cli](https://www.youtube.com/watch?v=btnJXXRjoeU)


## Programming/Make

- [Your Makefiles are wrong](https://tech.davis-hansson.com/p/make/)


## Programming/Documentation

- [Four modes of documentation: tutorials, how-to guides, technical reference and explanation](https://diataxis.fr/)


## Programming/Python

- [Convert setup.cfg to pyproject.toml](https://github.com/abravalheri/ini2toml)
- [Python Design Patterns](https://python-patterns.guide)
- [pz — Easily handle day to day CLI operation via Python instead of regular Bash programs.](https://github.com/CZ-NIC/pz)
- [Quantum Computing in Python](https://iza.ac/pdf/pycon2021.pdf)
- [setup.py vs requirements.txt](https://caremad.io/posts/2013/07/setup-vs-requirement/)
- [How type annotations make your code better?](https://igordavydenko.com/talks/de-pycon-2018/)
- [octomachinery — Bots Without Boilerplate](https://tutorial.octomachinery.dev/en/latest/)
- [octomachinery bot tutorial: How to Build a GitHub Bot](https://tutorial.octomachinery.dev/en/latest/)
- [Test your project's packaging friendliness](https://pypi.org/project/pyroma/)
- [flacon — minimalist REST and app backend framework for Python developers](https://github.com/falconry/falcon)
- [Check MANIFEST.in in a Python source package for completeness](https://pypi.org/project/check-manifest/)
- [Unit testing Jupyter Notebooks](https://github.com/nteract/testbook)
- [Why do numbering should start at 0](https://www.cs.utexas.edu/~EWD/transcriptions/EWD08xx/EWD831.html)
- [Instructor notes for COMP 3321](https://nsa.sfo2.digitaloceanspaces.com/comp3321.pdf)
- [Scalene — Python profiling: memory and CPU](https://github.com/emeryberger/scalene)
- [Sampling profiler for Python programs](https://github.com/benfred/py-spy)
- [WTF Python](https://github.com/satwikkansal/wtfpython)
- [All Algorithms implemented in Python](https://github.com/TheAlgorithms/Python)
- [Your Guide to the CPython Source Code](https://realpython.com/cpython-source-code-guide/)
- [Scipy Workshop](https://github.com/Andrewnetwork/WorkshopScipy)
- [comp.lang.python](https://groups.google.com/forum/#!forum/comp.lang.python)
- [FastAPI framework, high performance, easy to learn, fast to code, ready for production](https://github.com/tiangolo/fastapi)
- [Nuitka is a Python compiler written in Python](https://nuitka.net/)
- [Pex — Python EXecutable](https://pex.readthedocs.io/)
- [Les secrets d'un code pythonique](https://zestedesavoir.com/articles/1079/les-secrets-dun-code-pythonique/)
- [These series of posts are an accompaniment to a couple of talks given: Advanced asyncio: Solving Real-world Production Problems](https://www.roguelynn.com/words/asyncio-we-did-it-wrong/)
- [Rich — Python library for rich text and beautiful formatting in the terminal](https://pypi.org/project/rich/)
- [Mimic is a tool with the intention to defer actions done on objects or classes](https://github.com/maarten-dp/mimics)
- Examples using GTK4/libadwaita and Python: [Giara](https://gitlab.gnome.org/World/giara), [gnome-secrets](https://gitlab.gnome.org/World/secrets)

### Programming/Python/Django

- [Django Classy Class Based Views](http://ccbv.co.uk/]
- [Django load settings from env: from djenv.settings import *](https://pypi.org/project/djenv/)
- [Classy Django REST Framework](http://www.cdrf.co/)
- [Wagtail — A Django CMS](https://wagtail.io/)
- [Grappelli (Django Admin) — A beautiful content management interface](https://grappelliproject.com/)
- [Alpine and HTMX in Django](https://www.saaspegasus.com/guides/modern-javascript-for-django-developers/htmx-alpine/)
- [django-restql: Turn your API made with Django REST Framework(DRF) into a GraphQL like API.](https://github.com/yezyilomo/django-restql)
- [Turbo — The speed of a single-page web application without having to write any JavaScript.](https://turbo.hotwired.dev/)


### Programming/Python/Teaching

- [We're two middle school teachers learning and teaching Python ](https://www.teachingpython.fm/)
- [How to Build a GitHub Bot](https://linuxfr.org/users/omc/journaux/document-de-cours-python-for-science)


### Programming/Python/Tasks

"Celery Alternatives"

- [Procrastinate is an open-source Python 3.7+ distributed task processing library, leveraging PostgreSQL to store task definitions, manage locks and dispatch tasks.](https://pypi.org/project/procrastinate/)
- [Dramatiq is a background task processing library for Python with a focus on simplicity, reliability and performance.](https://dramatiq.io/)
- [Apache Kafka is an open-source distributed event streaming platform](https://kafka.apache.org/)


### Programming/Python/Data Science

- [Jupyter tricks](https://github.com/switowski/9-tricks-for-aoc/blob/main/9%20Tricks%20for%20Advent%20of%20Code.ipynb)
- [Voilà turns Jupyter notebooks into standalone web applications](https://pypi.org/project/voila/)
- [A gallery of Voilà dashboards [jupyter][binder]](https://voila-gallery.org)
- [Data Science Cheat Sheets](https://www.datacamp.com/community/data-science-cheatsheets)
- [Top 28 Cheat Sheets for Machine Learning, Data Science, Probability, SQL & Big Data](https://www.analyticsvidhya.com/blog/2017/02/top-28-cheat-sheets-for-machine-learning-data-science-probability-sql-big-data/)
- [Collecting Data Science Cheat Sheets](https://towardsdatascience.com/collecting-data-science-cheat-sheets-d2cdff092855)
- [A Flexible And Efficient Library For Deep Learning](https://mxnet.apache.org)
- [Keras: the Python deep learning API](https://keras.io)
- [dash — A productive Python framework for building web analytic applications](https://dash.plotly.com/introduction)


### Programming/Python/Tests

- [Running C unit tests with pytest](https://p403n1x87.github.io/running-c-unit-tests-with-pytest.html)


## Programming/GIT

- [The history of git](https://www.welcometothejungle.com/en/articles/btc-history-git)
- [Git tips and tricks](https://about.gitlab.com/2016/12/08/git-tips-and-tricks/)
- [Awesome Github Actions](https://github.com/sdras/awesome-actions)


## Programming/Infra

- https://root-servers.org/
- https://www.ansible.com/ansible-best-practices-2017
- https://opensourceinfra.org/
- [SDF Public Access UNIX System .. Est. 1987](https://sdf.org)
- [Testinfra — test your infrastructure](https://testinfra.readthedocs.io/en/latest/)
- [vector.dev: Take Control Of Your Observability Data](https://vector.dev/) "successeur" de logstash.
- [graylog](https://www.graylog.fr/) pour centraliser les logs, alternative à ElasticSearch mais pour les logs.
- Pour les métriques système :
  [prometheus](https://github.com/prometheus/prometheus/), il faut
  oublier munin. Il faut utiliser [Grafana](https://grafana.com/) pour l'affichage.
- [Grafana Node Exporter Full](https://grafana.com/grafana/dashboards/1860)
- postgres : Surveiller LSN Diff, c'est le truc important.
- Pour les métriques métier : Une recherche dans les logs (dans ES / Graylog), ou statsd.
- [Nomad](https://www.nomadproject.io) successeur de Mesos (qui n'est plus maintenu).
- [Clair — Vulnerability Static Analysis for Containers](https://github.com/quay/clair)


# Art

- [Chopin free recordings](https://musopen.org/music/108-nocturnes-op-9/#recordings)
- [unDraw: Open-source illustrations](https://undraw.co/)
- [icones libres](https://icones.js.org/)
- [icones libres](https://app.streamlinehq.com/icons)


# My Google Dorks

- "tous les livres" "ajouts récents" "index alphabétique"
- "bibliothèque gérée par calibre"
- `allintext:` c'est bien.
- inurl:/mjpg/video.mjpg
